Agents
Get an agent's profile image
Get an agent's profile image
curl --request GET \
--url https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
1
]{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}⌘I
Get an agent's profile image
curl --request GET \
--url https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/profile-image"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
1
]{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}